Bug 1170863

Summary: kiwi build-tests/s390/suse/test-image-vmx/appliance.kiwi does produce a bootable qcow2 image
Product: [openSUSE] openSUSE Tumbleweed Reporter: Michael Friesenegger <mikef>
Component: OtherAssignee: Marcus Schaefer <ms>
Status: RESOLVED FIXED QA Contact: E-mail List <qa-bugs>
Severity: Normal    
Priority: P5 - None CC: dcassany, mikef, ms, ngompa13
Version: CurrentFlags: mikef: needinfo? (ms)
Target Milestone: ---   
Hardware: Other   
OS: Other   
Whiteboard:
Found By: --- Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Michael Friesenegger 2020-04-29 18:23:58 UTC
The follow message is displayed when attempting to start the Tumbleweed qcow2 image on a KVM s390x host.

# virsh start --console kiwi-image
Domain kiwi-image started
Connected to domain kiwi-image
Escape character is ^]
 !

I adapted the appliance.kiwi file to build a SLES 15 SP1 qcow2 image.  This image also does not boot and displays the following message.

# virsh start --console kiwi-image
Domain kiwi-image started
Connected to domain kiwi-image
Escape character is ^]

! No zIPL magic in PT !
Comment 1 Michael Friesenegger 2020-04-29 22:28:11 UTC
I created a basic script that is run on the kiwi build host that makes the kiwi built Tumbleweed and SLES 15 SP1 qcow2 images bootable on my KVM host.

# cat bin/make-kiwi-qcow2-boot.sh    
#!/bin/bash

if [ $(file ${1} | grep -c "QEMU QCOW Image") -ne 1 ]; then
  echo "Exiting because ${1} is not a QCOW file."
  exit 1
fi

echo "Continue with making ${1} bootable?"
echo -n "y/n "
read answer

if [ $answer = "y" ]; then
  echo "Will update qcow2 image"
  modprobe nbd max_part=8
  qemu-nbd --connect=/dev/nbd0 ${1}
  mount /dev/nbd0p2 /mnt
  mount /dev/nbd0p1 /mnt/boot/zipl
  mount -o bind /dev /mnt/dev
  mount -o bind /sys /mnt/sys
  mount -o bind /proc /mnt/proc

  echo "#!/bin/bash" > /mnt/root/bin/fixit.sh
  echo "/usr/sbin/grub2-mkconfig -o /boot/grub2/grub.cfg" >> /mnt/root/bin/fixit.sh
  echo "/usr/sbin/grub2-install" >> /mnt/root/bin/fixit.sh
  echo "cp /boot/zipl/config /boot/zipl/config.orig" >> /mnt/root/bin/fixit.sh
  echo "sed -i '/^:menu/ a targetoffset=2048' /boot/zipl/config" >> /mnt/root/bin/fixit.sh 
  echo "sed -i '/^:menu/ a targetblocksize=512' /boot/zipl/config" >> /mnt/root/bin/fixit.sh
  echo "sed -i '/^:menu/ a targettype=SCSI' /boot/zipl/config" >> /mnt/root/bin/fixit.sh
  echo "sed -i '/^:menu/ a targetbase=/dev/nbd0' /boot/zipl/config" >> /mnt/root/bin/fixit.sh
  echo "/sbin/zipl -c /boot/zipl/config -m menu" >> /mnt/root/bin/fixit.sh
  echo "mv /boot/zipl/config.orig /boot/zipl/config" >> /mnt/root/bin/fixit.sh
  echo "exit" >> /mnt/root/bin/fixit.sh

  chmod +x /mnt/root/bin/fixit.sh
  chroot /mnt /root/bin/fixit.sh
  rm /mnt/root/bin/fixit.sh
  umount /mnt/proc
  umount /mnt/sys
  umount /mnt/dev
  umount /mnt/boot/zipl
  umount /mnt
  qemu-nbd --disconnect /dev/nbd0
  rmmod nbd
fi

I hope this information will help.
Comment 2 Michael Friesenegger 2020-05-02 17:05:22 UTC
The tests outlined in the Description are done with a fully patched SLES 15 SP1 that is using kiwi packages from the Development Tools module.

Updating the kiwi packages available in https://download.opensuse.org/repositories/Virtualization:/Appliances:/Builder/SLE_15_SP1/ did not change the resulting image.  The qcow2 image is still not bootable.
Comment 3 Marcus Schaefer 2020-09-23 08:46:37 UTC
The example description uses targettype="FBA" which is most probably the reason why it does not boot in kvm. I change this to SCSI now
Comment 4 Marcus Schaefer 2020-09-23 09:38:32 UTC
Also kiwi uses blocks to specify the target offset whereas you used sectors.
I'm looking into it
Comment 5 Marcus Schaefer 2020-09-23 10:44:39 UTC
Can you give me access to an s390 machine ? testing with obs is no fun

Thanks
Comment 6 Marcus Schaefer 2020-09-23 11:00:40 UTC
Also there is a new image for you to test if you like:

https://build.opensuse.org/package/binaries/Virtualization:Appliances:Images:Testing_s390:sle15/test-image-disk:Virtual/images

I had no chance to run this as I don't have access to an s390 test system.
Does this image work for you ?

Thanks
Comment 7 Marcus Schaefer 2020-09-23 11:02:45 UTC
zipl said

[   91s] [ DEBUG   ]: 10:09:35 | zipl install succeeds with: Using config file 'zipl/config' (from command line)
[   91s] Target device information
[   91s]   Device..........................: 07:00
[   91s]   Device name.....................: loop0 *)
[   91s]   Device driver name..............: virtblk
[   91s]   Type............................: disk device
[   91s]   Disk layout.....................: SCSI disk layout *)
[   91s]   Geometry - start................: 2048 *)
[   91s]   File system block size..........: 4096
[   91s]   Physical block size.............: 512 *)
[   91s]   Device size in physical blocks..: 104857600
[   91s]   *) Data provided by user.

which should be the same you did.

Please let me know if that changes something, and a test system would be great.

Thanks
Comment 8 Michael Friesenegger 2020-09-24 04:00:00 UTC
(In reply to Marcus Schaefer from comment #6)
> Also there is a new image for you to test if you like:
> 
> https://build.opensuse.org/package/binaries/Virtualization:Appliances:Images:
> Testing_s390:sle15/test-image-disk:Virtual/images
> 
> I had no chance to run this as I don't have access to an s390 test system.
> Does this image work for you ?
> 
I copied the appliance.kiwi and config.sh to a SLES15 SP2 kiwi build host. I adapted the appliance.kiwi so the image could be built. The qcow2 does not boot.
Comment 10 Marcus Schaefer 2020-09-24 08:52:54 UTC
Thanks, looking into it
Comment 13 Marcus Schaefer 2020-09-24 08:59:27 UTC
> I copied the appliance.kiwi and config.sh to a SLES15 SP2 kiwi build host. I
> adapted the appliance.kiwi so the image could be built. The qcow2 does not
> boot.

This is not surprising because I have fixes in kiwi which you surely did not had when you copied the description and build the image with a kiwi of your own.

Can't you just simply download the .qcow2 file as I built it and run it ?

https://build.opensuse.org/package/binary/download/Virtualization:Appliances:Images:Testing_s390:sle15/test-image-disk:Virtual/images/s390x/SLE15.s390x-1.15.1-Virtual-Build5.3.qcow2

Thanks
Comment 14 Marcus Schaefer 2020-09-24 09:02:13 UTC
The untested fixes I'm talking about are in this PR:

    https://github.com/OSInside/kiwi/pull/1565

and are effective in a Staging build of kiwi here:

    https://build.opensuse.org/project/show/Virtualization:Appliances:Staging

So if you, for some reason, don't want to test the .qcow2 as I built it, you should at least use the kiwi from Staging to actually make the changes effective

Thanks much
Comment 16 Michael Friesenegger 2020-09-24 13:02:25 UTC
(In reply to Marcus Schaefer from comment #14)
> The untested fixes I'm talking about are in this PR:
> 
>     https://github.com/OSInside/kiwi/pull/1565
> 
> and are effective in a Staging build of kiwi here:
> 
>     https://build.opensuse.org/project/show/Virtualization:Appliances:Staging
> 
> So if you, for some reason, don't want to test the .qcow2 as I built it, you
> should at least use the kiwi from Staging to actually make the changes
> effective
> 
> Thanks much

Thank you for sharing the PR.  I will test the qcow2 you have built once I can get to s390zlpd.
Comment 17 Michael Friesenegger 2020-09-24 16:56:35 UTC
(In reply to Marcus Schaefer from comment #13)
> > I copied the appliance.kiwi and config.sh to a SLES15 SP2 kiwi build host. I
> > adapted the appliance.kiwi so the image could be built. The qcow2 does not
> > boot.
> 
> This is not surprising because I have fixes in kiwi which you surely did not
> had when you copied the description and build the image with a kiwi of your
> own.
> 
> Can't you just simply download the .qcow2 file as I built it and run it ?
> 
> https://build.opensuse.org/package/binary/download/Virtualization:Appliances:
> Images:Testing_s390:sle15/test-image-disk:Virtual/images/s390x/SLE15.s390x-1.
> 15.1-Virtual-Build5.3.qcow2
> 
> Thanks

This image does not boot.
Comment 19 Marcus Schaefer 2020-09-25 15:40:29 UTC
ok, I have done a lot changes to the s390 support and it seems to work now. Please find the testing image build here:

 https://download.opensuse.org/repositories/Virtualization:/Appliances:/Images:/Testing_s390:/sle15/images/SLE15.s390x-1.15.1-Virtual-Build6.2.qcow2

I also tested this one and it booted up nicely

The PR to address all this is here:

    https://github.com/OSInside/kiwi/pull/1567

There are still some open questions which I try to clarify with Raymund
Comment 20 Michael Friesenegger 2020-09-28 03:31:29 UTC
(In reply to Marcus Schaefer from comment #19)
> ok, I have done a lot changes to the s390 support and it seems to work now.
> Please find the testing image build here:
> 
>  https://download.opensuse.org/repositories/Virtualization:/Appliances:/
> Images:/Testing_s390:/sle15/images/SLE15.s390x-1.15.1-Virtual-Build6.2.qcow2
> 
> I also tested this one and it booted up nicely
> 
> The PR to address all this is here:
> 
>     https://github.com/OSInside/kiwi/pull/1567
> 
> There are still some open questions which I try to clarify with Raymund

This image booted.
Comment 21 Marcus Schaefer 2020-09-28 09:13:19 UTC
> This image booted.

yay :) as soon as my open questions are clarified with Raymund we are going to merge the open PR.

Something different but related:

Do you know if somebody is working on the kpartx issue when 4k devices are
used ? See the log here:

    osc buildlog -M PhysicalBSZ_4096 images s390x

in the Virtualization:Appliances:Images:Testing_s390:sle15/test-image-disk
project:

[  104s] [ DEBUG   ]: 14:49:27 | Initialize DASD disk with new VTOC table
[  104s] [ DEBUG   ]: 14:49:27 | EXEC: [bash -c cat /tmp/tmp9oupc5fm | fdasd -f /dev/loop0]
[  105s] [ INFO    ]: 14:49:28 | --> creating boot partition
[  105s] [ DEBUG   ]: 14:49:28 | p.lxboot: fdasd: n p cur_position +300M w q
[  105s] [ DEBUG   ]: 14:49:28 | EXEC: [bash -c cat /tmp/tmp8qsbzkxf | fdasd -f /dev/loop0]
[  106s] [ INFO    ]: 14:49:29 | --> creating LVM root partition
[  106s] [ DEBUG   ]: 14:49:29 | p.lxlvm: fdasd: n p cur_position +all_freeM w q
[  106s] [ DEBUG   ]: 14:49:29 | EXEC: [bash -c cat /tmp/tmpj_j_dmhq | fdasd -f /dev/loop0]
[  108s] [ DEBUG   ]: 14:49:31 | EXEC: [kpartx -s -a /dev/loop0]
[  108s] [ ERROR   ]: 14:49:31 | KiwiMappedDeviceError: Device /dev/mapper/loop0p1 does not exist
[  108s] [ INFO    ]: 14:49:31 | Cleaning up Disk instance


This one prevents us from creating images that could run on s390
disks using 4k block size.

Thanks for anything that you can do to make people aware of it
Comment 22 Michael Friesenegger 2020-09-28 15:53:49 UTC
(In reply to Marcus Schaefer from comment #21)
> > This image booted.
> 
> yay :) as soon as my open questions are clarified with Raymund we are going
> to merge the open PR.
> 
> Something different but related:
> 
> Do you know if somebody is working on the kpartx issue when 4k devices are
> used ? See the log here:
> 
>     osc buildlog -M PhysicalBSZ_4096 images s390x
> 
> in the Virtualization:Appliances:Images:Testing_s390:sle15/test-image-disk
> project:
> 
> [  104s] [ DEBUG   ]: 14:49:27 | Initialize DASD disk with new VTOC table
> [  104s] [ DEBUG   ]: 14:49:27 | EXEC: [bash -c cat /tmp/tmp9oupc5fm | fdasd
> -f /dev/loop0]
> [  105s] [ INFO    ]: 14:49:28 | --> creating boot partition
> [  105s] [ DEBUG   ]: 14:49:28 | p.lxboot: fdasd: n p cur_position +300M w q
> [  105s] [ DEBUG   ]: 14:49:28 | EXEC: [bash -c cat /tmp/tmp8qsbzkxf | fdasd
> -f /dev/loop0]
> [  106s] [ INFO    ]: 14:49:29 | --> creating LVM root partition
> [  106s] [ DEBUG   ]: 14:49:29 | p.lxlvm: fdasd: n p cur_position +all_freeM
> w q
> [  106s] [ DEBUG   ]: 14:49:29 | EXEC: [bash -c cat /tmp/tmpj_j_dmhq | fdasd
> -f /dev/loop0]
> [  108s] [ DEBUG   ]: 14:49:31 | EXEC: [kpartx -s -a /dev/loop0]
> [  108s] [ ERROR   ]: 14:49:31 | KiwiMappedDeviceError: Device
> /dev/mapper/loop0p1 does not exist
> [  108s] [ INFO    ]: 14:49:31 | Cleaning up Disk instance
> 
> 
> This one prevents us from creating images that could run on s390
> disks using 4k block size.
> 
> Thanks for anything that you can do to make people aware of it

You will happy to know that kpartx-0.8.2+18.9ff73e7-2.1.s390x included in SLES15 SP2 has the 4096 blocksize support.  The kpartx changelog is below which I learned from Mark Post.

* Thu Aug 29 2019 mwilck@suse.com
- Update to version 0.8.2+17+suse.21ac578:
  * kpartx: recognize DASD on loop devices again (bsc#1139775)

I am successfully building oem dasd images for SLES15 SP2 and SLES12 SP5 using kiwi on SLES15 SP2.  Like the KVM image discussed above, the oem dasd image does not boot after being built by kiwi.  I have a script that makes the oem dasd image bootable.  Should I open a new bug so you can work on making oem dasd bootable?
Comment 23 Marcus Schaefer 2020-09-28 16:22:57 UTC
>You will happy to know that kpartx-0.8.2+18.9ff73e7-2.1.s390x included in SLES15 >SP2

That brings a smile on my face :)

> Like the KVM image discussed above, the oem dasd image does not boot

yes that's expected. The same problem as discussed here. The kiwi fix will fix both targets at once

> Should I open a new bug so you can work on making oem dasd bootable?

That's not needed. I will move the integration test to 15-SP2 which should make the build to be successful. There is one change needed to the open PR such that targettype gets correctly set into that grub-s390-emu zipl template. After that I'm confident dasd will also work.

So we can use this bug to handle them all :)

Thanks much
Comment 24 Marcus Schaefer 2020-10-01 09:00:08 UTC
The s390 issues reported here are fixed with the following PR

 https://github.com/OSInside/kiwi/pull/1567

The respective integration test builds can be found here:

 https://build.opensuse.org/project/show/Virtualization:Appliances:Images:Testing_s390:sle15

A package with the fix can be found in the Staging area on obs in the project:

 Virtualization:Appliances:Staging

We will update SLE in the next sprint (End of October)

Thanks much for your help and the provided test systems. I wouldn't be able to create the patches without the test systems and your work on the image descriptions
Comment 26 Swamp Workflow Management 2020-11-26 17:39:40 UTC
SUSE-RU-2020:3535-1: An update that has 5 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1170863,1175729,1176129,1176134,1176977
CVE References: 
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Development Tools 15-SP2 (src):    python-kiwi-9.21.23-3.27.1
SUSE Linux Enterprise Module for Development Tools 15-SP1 (src):    python-kiwi-9.21.23-3.27.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 27 Swamp Workflow Management 2020-11-30 05:14:42 UTC
openSUSE-RU-2020:2118-1: An update that has 5 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1170863,1175729,1176129,1176134,1176977
CVE References: 
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    python-kiwi-9.21.23-lp152.5.10.1
Comment 28 Swamp Workflow Management 2020-11-30 17:29:28 UTC
openSUSE-RU-2020:2121-1: An update that has 5 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1170863,1175729,1176129,1176134,1176977
CVE References: 
JIRA References: 
Sources used:
openSUSE Leap 15.1 (src):    python-kiwi-9.21.23-lp151.2.18.1
Comment 32 Swamp Workflow Management 2021-02-17 14:15:52 UTC
SUSE-RU-2021:0493-1: An update that has 7 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1170863,1175729,1176129,1176134,1176977,1179562,1180781
CVE References: 
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15 (src):    pv-1.6.6-3.4.1, python-kiwi-9.21.23-3.36.3
SUSE Linux Enterprise Server 15-LTSS (src):    pv-1.6.6-3.4.1, python-kiwi-9.21.23-3.36.3
SUSE Linux Enterprise Module for Development Tools 15-SP2 (src):    pv-1.6.6-3.4.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    pv-1.6.6-3.4.1, python-kiwi-9.21.23-3.36.3
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    pv-1.6.6-3.4.1, python-kiwi-9.21.23-3.36.3

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 43 Swamp Workflow Management 2022-02-16 20:33:00 UTC
SUSE-FU-2022:0454-1: An update that solves 54 vulnerabilities, contains 6 features and has 247 fixes is now available.

Category: feature (moderate)
Bug References: 1000080,1000117,1000194,1000742,1002895,1003091,1005246,1010874,1010966,1011936,1015549,1027610,1027705,1029902,1030038,1032118,1032119,1035604,1039469,1040164,1040256,1041090,1042670,1049186,1049304,1050653,1050665,1055478,1055542,1056951,1057496,1062237,1066873,1068790,1070737,1070738,1070853,1071941,1073310,1073845,1073879,1074247,1076519,1077096,1077230,1078329,1079761,1080301,1081005,1081750,1081751,1082155,1082163,1082318,1083826,1084117,1084157,1085276,1085529,1085661,1087104,1088573,1090427,1090953,1093518,1093917,1094788,1094814,1094883,1095267,1096738,1096937,1097531,1098535,1099308,1099569,1102868,1108508,1109882,1109998,1110435,1110869,1110871,1111493,1111622,1111657,1112357,1115769,1118611,1119376,1119416,1119792,1121717,1121852,1122191,1123064,1123185,1123186,1123558,1124885,1125815,1126283,1126318,1127173,1128146,1128323,1128355,1129071,1129566,1130840,1132174,1132323,1132455,1132663,1132900,1135009,1136444,1138666,1138715,1138746,1139915,1140255,1141168,1142899,1143033,1143454,1143893,1144506,1149686,1149792,1150190,1150895,1153830,1155815,1156677,1156694,1156908,1157104,1157354,1159235,1159538,1161557,1161770,1162224,1162367,1162743,1163978,1164310,1165439,1165578,1165730,1165823,1165960,1166139,1166758,1167008,1167501,1167732,1167746,1168480,1168973,1169489,1170175,1170863,1171368,1171561,1172226,1172908,1172928,1173226,1173356,1174009,1174091,1174514,1175729,1176116,1176129,1176134,1176232,1176256,1176257,1176258,1176259,1176262,1176389,1176785,1176977,1177120,1177127,1178168,1178341,1178670,1179562,1179630,1179805,1180125,1180781,1181126,1181324,1181944,1182066,1182211,1182244,1182264,1182379,1182963,1183059,1183374,1183858,1184505,1185588,1185706,1185748,1186738,1187045,1190781,1193357,428177,431945,589441,613497,637176,657698,658604,673071,715423,743787,747125,750618,751718,754447,754677,761500,784670,787526,799119,809831,811890,825221,828513,831629,834601,835687,839107,84331,855666,858239,867887,871152,885662,885882,889363,892480,898917,907584,912460,913229,915479,917607,917759,917815,922448,929736,930189,931978,935856,937912,939456,940608,942385,942751,944204,945455,946648,947357,947679,948198,954486,954690,961334,962291,963974,964204,964472,964474,965830,967128,968270,968601,975875,981848,988086,992988,992989,992992,993130,993825,993968,994910,996255,997614
CVE References: CVE-2011-3389,CVE-2011-4944,CVE-2012-0845,CVE-2012-1150,CVE-2013-1437,CVE-2013-1752,CVE-2013-4238,CVE-2013-4314,CVE-2014-0012,CVE-2014-1829,CVE-2014-1830,CVE-2014-2667,CVE-2014-4650,CVE-2014-7202,CVE-2014-7203,CVE-2014-9721,CVE-2015-2296,CVE-2016-10745,CVE-2016-1238,CVE-2016-9015,CVE-2017-18342,CVE-2017-6512,CVE-2018-18074,CVE-2018-20060,CVE-2018-7750,CVE-2019-10906,CVE-2019-11236,CVE-2019-11324,CVE-2019-13132,CVE-2019-20907,CVE-2019-20916,CVE-2019-5010,CVE-2019-6250,CVE-2019-8341,CVE-2019-9740,CVE-2019-9947,CVE-2020-14343,CVE-2020-15166,CVE-2020-15523,CVE-2020-15801,CVE-2020-1747,CVE-2020-25659,CVE-2020-26137,CVE-2020-27783,CVE-2020-28493,CVE-2020-29651,CVE-2020-36242,CVE-2020-8492,CVE-2021-23336,CVE-2021-28957,CVE-2021-29921,CVE-2021-3177,CVE-2021-33503,CVE-2021-3426
JIRA References: ECO-3105,SLE-12986,SLE-17532,SLE-17957,SLE-7686,SLE-9135
Sources used:

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 44 Swamp Workflow Management 2022-02-16 21:03:27 UTC
SUSE-FU-2022:0445-1: An update that solves 183 vulnerabilities, contains 21 features and has 299 fixes is now available.

Category: feature (moderate)
Bug References: 1000080,1000117,1000194,1000677,1000742,1001148,1001912,1002585,1002895,1003091,1005246,1009528,1010874,1010966,1011936,1015549,1019637,1021641,1022085,1022086,1022271,1027079,1027610,1027688,1027705,1027908,1028281,1028723,1029523,1029902,1030038,1032118,1032119,1035604,1039469,1040164,1040256,1041090,1042392,1042670,1044095,1044107,1044175,1049186,1049304,1050653,1050665,1055478,1055542,1055825,1056058,1056951,1057496,1062237,1065363,1066242,1066873,1068790,1070737,1070738,1070853,1071905,1071906,1071941,1073310,1073845,1073879,1074247,1076519,1077096,1077230,1078329,1079761,1080301,1081005,1081750,1081751,1082155,1082163,1082318,1083826,1084117,1084157,1085276,1085529,1085661,1087102,1087104,1088573,1089039,1090427,1090765,1090953,1093518,1093917,1094788,1094814,1094883,1095267,1096738,1096937,1097158,1097531,1097624,1098535,1098592,1099308,1099569,1100078,1101246,1101470,1102868,1104789,1106197,1108508,1109882,1109998,1110435,1110869,1110871,1111493,1111622,1111657,1112209,1112357,1113534,1113652,1113742,1113975,1115769,1117951,1118611,1119376,1119416,1119792,1121717,1121852,1122191,1123064,1123185,1123186,1123558,1124885,1125815,1126283,1126318,1127080,1127173,1128146,1128323,1128355,1129071,1129566,1130840,1131291,1132174,1132323,1132455,1132663,1132900,1135009,1136444,1138666,1138715,1138746,1139915,1140255,1141168,1142899,1143033,1143454,1143893,1144506,1149686,1149792,1150003,1150190,1150250,1150895,1153830,1155815,1156677,1156694,1156908,1157104,1157354,1158809,1159235,1159538,1160163,1161557,1161770,1162224,1162367,1162743,1163978,1164310,1165439,1165578,1165730,1165823,1165960,1166139,1166758,1167008,1167501,1167732,1167746,1168480,1168973,1169489,1170175,1170863,1171368,1171561,1172226,1172908,1172928,1173226,1173356,1174009,1174091,1174514,1175729,1176116,1176129,1176134,1176232,1176256,1176257,1176258,1176259,1176262,1176389,1176785,1176977,1177120,1177127,1177559,1178168,1178341,1178670,1179491,1179562,1179630,1179805,1180125,1180781,1181126,1181324,1181944,1182066,1182211,1182244,1182264,1182331,1182333,1182379,1182963,1183059,1183374,1183858,1184505,1185588,1185706,1185748,1186738,1187045,1189521,1190781,1193357,356549,381844,394317,408865,428177,430141,431945,437293,442740,459468,489641,504687,509031,526319,590833,610223,610642,629905,637176,651003,657698,658604,670526,673071,693027,715423,720601,743787,747125,748738,749210,749213,749735,750618,751718,751946,751977,754447,754677,761500,774710,784670,784994,787526,793420,799119,802184,803004,809831,811890,822642,825221,828513,831629,832833,834601,835687,839107,84331,849377,855666,855676,856687,857203,857850,858239,867887,869945,871152,872299,873351,876282,876710,876712,876748,880891,885662,885882,889013,889363,892477,892480,895129,898917,901223,901277,901902,902364,906878,907584,908362,908372,912014,912015,912018,912292,912293,912294,912296,912460,913229,915479,917607,917759,917815,919648,920236,922448,922488,922496,922499,922500,926597,929678,929736,930189,931698,931978,933898,933911,934487,934489,934491,934493,935856,937085,937212,937492,937634,937912,939456,940608,942385,942751,943421,944204,945455,946648,947104,947357,947679,948198,952871,954256,954486,954690,957812,957813,957815,958501,961334,962291,963415,963974,964204,964472,964474,965830,967128,968046,968047,968048,968050,968265,968270,968374,968601,975875,976942,977584,977614,977615,977616,977663,978224,981848,982268,982575,983249,984323,985054,988086,990207,990392,990419,990428,991193,991877,992120,992988,992989,992992,993130,993819,993825,993968,994749,994844,994910,995075,995324,995359,995377,995959,996255,997043,997614,998190,999665,999666,999668
CVE References: CVE-2006-2937,CVE-2006-2940,CVE-2006-3738,CVE-2006-4339,CVE-2006-4343,CVE-2006-7250,CVE-2007-3108,CVE-2007-4995,CVE-2007-5135,CVE-2008-0891,CVE-2008-1672,CVE-2008-5077,CVE-2009-0590,CVE-2009-0591,CVE-2009-0789,CVE-2009-1377,CVE-2009-1378,CVE-2009-1379,CVE-2009-1386,CVE-2009-1387,CVE-2010-0740,CVE-2010-0742,CVE-2010-1633,CVE-2010-2939,CVE-2010-3864,CVE-2010-5298,CVE-2011-0014,CVE-2011-3207,CVE-2011-3210,CVE-2011-3389,CVE-2011-4108,CVE-2011-4576,CVE-2011-4577,CVE-2011-4619,CVE-2011-4944,CVE-2012-0027,CVE-2012-0050,CVE-2012-0845,CVE-2012-0884,CVE-2012-1150,CVE-2012-1165,CVE-2012-2110,CVE-2012-2686,CVE-2012-4929,CVE-2013-0166,CVE-2013-0169,CVE-2013-1752,CVE-2013-4238,CVE-2013-4314,CVE-2013-4353,CVE-2013-6449,CVE-2013-6450,CVE-2014-0012,CVE-2014-0076,CVE-2014-0160,CVE-2014-0195,CVE-2014-0198,CVE-2014-0221,CVE-2014-0224,CVE-2014-1829,CVE-2014-1830,CVE-2014-2667,CVE-2014-3470,CVE-2014-3505,CVE-2014-3506,CVE-2014-3507,CVE-2014-3508,CVE-2014-3509,CVE-2014-3510,CVE-2014-3511,CVE-2014-3512,CVE-2014-3513,CVE-2014-3566,CVE-2014-3567,CVE-2014-3568,CVE-2014-3570,CVE-2014-3571,CVE-2014-3572,CVE-2014-4650,CVE-2014-5139,CVE-2014-7202,CVE-2014-7203,CVE-2014-8275,CVE-2014-9721,CVE-2015-0204,CVE-2015-0205,CVE-2015-0206,CVE-2015-0209,CVE-2015-0286,CVE-2015-0287,CVE-2015-0288,CVE-2015-0289,CVE-2015-0293,CVE-2015-1788,CVE-2015-1789,CVE-2015-1790,CVE-2015-1791,CVE-2015-1792,CVE-2015-2296,CVE-2015-3194,CVE-2015-3195,CVE-2015-3196,CVE-2015-3197,CVE-2015-3216,CVE-2015-4000,CVE-2016-0702,CVE-2016-0705,CVE-2016-0797,CVE-2016-0798,CVE-2016-0799,CVE-2016-0800,CVE-2016-10745,CVE-2016-2105,CVE-2016-2106,CVE-2016-2107,CVE-2016-2109,CVE-2016-2176,CVE-2016-2177,CVE-2016-2178,CVE-2016-2179,CVE-2016-2180,CVE-2016-2181,CVE-2016-2182,CVE-2016-2183,CVE-2016-6302,CVE-2016-6303,CVE-2016-6304,CVE-2016-6306,CVE-2016-7052,CVE-2016-7055,CVE-2016-9015,CVE-2017-18342,CVE-2017-3731,CVE-2017-3732,CVE-2017-3735,CVE-2017-3736,CVE-2017-3737,CVE-2017-3738,CVE-2018-0732,CVE-2018-0734,CVE-2018-0737,CVE-2018-0739,CVE-2018-18074,CVE-2018-20060,CVE-2018-5407,CVE-2018-7750,CVE-2019-10906,CVE-2019-11236,CVE-2019-11324,CVE-2019-13132,CVE-2019-1547,CVE-2019-1551,CVE-2019-1559,CVE-2019-1563,CVE-2019-20907,CVE-2019-20916,CVE-2019-5010,CVE-2019-6250,CVE-2019-8341,CVE-2019-9740,CVE-2019-9947,CVE-2020-14343,CVE-2020-15166,CVE-2020-15523,CVE-2020-15801,CVE-2020-1747,CVE-2020-1971,CVE-2020-25659,CVE-2020-26137,CVE-2020-27783,CVE-2020-28493,CVE-2020-29651,CVE-2020-36242,CVE-2020-8492,CVE-2021-23336,CVE-2021-23840,CVE-2021-23841,CVE-2021-28957,CVE-2021-29921,CVE-2021-3177,CVE-2021-33503,CVE-2021-3426,CVE-2021-3712
JIRA References: ECO-3105,SLE-11435,SLE-12684,SLE-12986,SLE-13688,SLE-14253,SLE-15159,SLE-15860,SLE-15861,SLE-16754,SLE-17532,SLE-17957,SLE-18260,SLE-18354,SLE-18446,SLE-19264,SLE-3887,SLE-4480,SLE-4577,SLE-7686,SLE-9135
Sources used:
SUSE Manager Tools 12-BETA (src):    venv-salt-minion-3002.2-3.3.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 45 Swamp Workflow Management 2022-02-16 21:42:03 UTC
SUSE-FU-2022:0456-1: An update that solves 54 vulnerabilities, contains 6 features and has 247 fixes is now available.

Category: feature (moderate)
Bug References: 1000080,1000117,1000194,1000742,1002895,1003091,1005246,1010874,1010966,1011936,1015549,1027610,1027705,1029902,1030038,1032118,1032119,1035604,1039469,1040164,1040256,1041090,1042670,1049186,1049304,1050653,1050665,1055478,1055542,1056951,1057496,1062237,1066873,1068790,1070737,1070738,1070853,1071941,1073310,1073845,1073879,1074247,1076519,1077096,1077230,1078329,1079761,1080301,1081005,1081750,1081751,1082155,1082163,1082318,1083826,1084117,1084157,1085276,1085529,1085661,1087104,1088573,1090427,1090953,1093518,1093917,1094788,1094814,1094883,1095267,1096738,1096937,1097531,1098535,1099308,1099569,1102868,1108508,1109882,1109998,1110435,1110869,1110871,1111493,1111622,1111657,1112357,1115769,1118611,1119376,1119416,1119792,1121717,1121852,1122191,1123064,1123185,1123186,1123558,1124885,1125815,1126283,1126318,1127173,1128146,1128323,1128355,1129071,1129566,1130840,1132174,1132323,1132455,1132663,1132900,1135009,1136444,1138666,1138715,1138746,1139915,1140255,1141168,1142899,1143033,1143454,1143893,1144506,1149686,1149792,1150190,1150895,1153830,1155815,1156677,1156694,1156908,1157104,1157354,1159235,1159538,1161557,1161770,1162224,1162367,1162743,1163978,1164310,1165439,1165578,1165730,1165823,1165960,1166139,1166758,1167008,1167501,1167732,1167746,1168480,1168973,1169489,1170175,1170863,1171368,1171561,1172226,1172908,1172928,1173226,1173356,1174009,1174091,1174514,1175729,1176116,1176129,1176134,1176232,1176256,1176257,1176258,1176259,1176262,1176389,1176785,1176977,1177120,1177127,1178168,1178341,1178670,1179562,1179630,1179805,1180125,1180781,1181126,1181324,1181944,1182066,1182211,1182244,1182264,1182379,1182963,1183059,1183374,1183858,1184505,1185588,1185706,1185748,1186738,1187045,1190781,1193357,428177,431945,589441,613497,637176,657698,658604,673071,715423,743787,747125,750618,751718,754447,754677,761500,784670,787526,799119,809831,811890,825221,828513,831629,834601,835687,839107,84331,855666,858239,867887,871152,885662,885882,889363,892480,898917,907584,912460,913229,915479,917607,917759,917815,922448,929736,930189,931978,935856,937912,939456,940608,942385,942751,944204,945455,946648,947357,947679,948198,954486,954690,961334,962291,963974,964204,964472,964474,965830,967128,968270,968601,975875,981848,988086,992988,992989,992992,993130,993825,993968,994910,996255,997614
CVE References: CVE-2011-3389,CVE-2011-4944,CVE-2012-0845,CVE-2012-1150,CVE-2013-1437,CVE-2013-1752,CVE-2013-4238,CVE-2013-4314,CVE-2014-0012,CVE-2014-1829,CVE-2014-1830,CVE-2014-2667,CVE-2014-4650,CVE-2014-7202,CVE-2014-7203,CVE-2014-9721,CVE-2015-2296,CVE-2016-10745,CVE-2016-1238,CVE-2016-9015,CVE-2017-18342,CVE-2017-6512,CVE-2018-18074,CVE-2018-20060,CVE-2018-7750,CVE-2019-10906,CVE-2019-11236,CVE-2019-11324,CVE-2019-13132,CVE-2019-20907,CVE-2019-20916,CVE-2019-5010,CVE-2019-6250,CVE-2019-8341,CVE-2019-9740,CVE-2019-9947,CVE-2020-14343,CVE-2020-15166,CVE-2020-15523,CVE-2020-15801,CVE-2020-1747,CVE-2020-25659,CVE-2020-26137,CVE-2020-27783,CVE-2020-28493,CVE-2020-29651,CVE-2020-36242,CVE-2020-8492,CVE-2021-23336,CVE-2021-28957,CVE-2021-29921,CVE-2021-3177,CVE-2021-33503,CVE-2021-3426
JIRA References: ECO-3105,SLE-12986,SLE-17532,SLE-17957,SLE-7686,SLE-9135
Sources used:

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 46 Swamp Workflow Management 2022-02-16 22:08:42 UTC
SUSE-FU-2022:0450-1: An update that solves 54 vulnerabilities, contains 6 features and has 247 fixes is now available.

Category: feature (moderate)
Bug References: 1000080,1000117,1000194,1000742,1002895,1003091,1005246,1010874,1010966,1011936,1015549,1027610,1027705,1029902,1030038,1032118,1032119,1035604,1039469,1040164,1040256,1041090,1042670,1049186,1049304,1050653,1050665,1055478,1055542,1056951,1057496,1062237,1066873,1068790,1070737,1070738,1070853,1071941,1073310,1073845,1073879,1074247,1076519,1077096,1077230,1078329,1079761,1080301,1081005,1081750,1081751,1082155,1082163,1082318,1083826,1084117,1084157,1085276,1085529,1085661,1087104,1088573,1090427,1090953,1093518,1093917,1094788,1094814,1094883,1095267,1096738,1096937,1097531,1098535,1099308,1099569,1102868,1108508,1109882,1109998,1110435,1110869,1110871,1111493,1111622,1111657,1112357,1115769,1118611,1119376,1119416,1119792,1121717,1121852,1122191,1123064,1123185,1123186,1123558,1124885,1125815,1126283,1126318,1127173,1128146,1128323,1128355,1129071,1129566,1130840,1132174,1132323,1132455,1132663,1132900,1135009,1136444,1138666,1138715,1138746,1139915,1140255,1141168,1142899,1143033,1143454,1143893,1144506,1149686,1149792,1150190,1150895,1153830,1155815,1156677,1156694,1156908,1157104,1157354,1159235,1159538,1161557,1161770,1162224,1162367,1162743,1163978,1164310,1165439,1165578,1165730,1165823,1165960,1166139,1166758,1167008,1167501,1167732,1167746,1168480,1168973,1169489,1170175,1170863,1171368,1171561,1172226,1172908,1172928,1173226,1173356,1174009,1174091,1174514,1175729,1176116,1176129,1176134,1176232,1176256,1176257,1176258,1176259,1176262,1176389,1176785,1176977,1177120,1177127,1178168,1178341,1178670,1179562,1179630,1179805,1180125,1180781,1181126,1181324,1181944,1182066,1182211,1182244,1182264,1182379,1182963,1183059,1183374,1183858,1184505,1185588,1185706,1185748,1186738,1187045,1190781,1193357,428177,431945,589441,613497,637176,657698,658604,673071,715423,743787,747125,750618,751718,754447,754677,761500,784670,787526,799119,809831,811890,825221,828513,831629,834601,835687,839107,84331,855666,858239,867887,871152,885662,885882,889363,892480,898917,907584,912460,913229,915479,917607,917759,917815,922448,929736,930189,931978,935856,937912,939456,940608,942385,942751,944204,945455,946648,947357,947679,948198,954486,954690,961334,962291,963974,964204,964472,964474,965830,967128,968270,968601,975875,981848,988086,992988,992989,992992,993130,993825,993968,994910,996255,997614
CVE References: CVE-2011-3389,CVE-2011-4944,CVE-2012-0845,CVE-2012-1150,CVE-2013-1437,CVE-2013-1752,CVE-2013-4238,CVE-2013-4314,CVE-2014-0012,CVE-2014-1829,CVE-2014-1830,CVE-2014-2667,CVE-2014-4650,CVE-2014-7202,CVE-2014-7203,CVE-2014-9721,CVE-2015-2296,CVE-2016-10745,CVE-2016-1238,CVE-2016-9015,CVE-2017-18342,CVE-2017-6512,CVE-2018-18074,CVE-2018-20060,CVE-2018-7750,CVE-2019-10906,CVE-2019-11236,CVE-2019-11324,CVE-2019-13132,CVE-2019-20907,CVE-2019-20916,CVE-2019-5010,CVE-2019-6250,CVE-2019-8341,CVE-2019-9740,CVE-2019-9947,CVE-2020-14343,CVE-2020-15166,CVE-2020-15523,CVE-2020-15801,CVE-2020-1747,CVE-2020-25659,CVE-2020-26137,CVE-2020-27783,CVE-2020-28493,CVE-2020-29651,CVE-2020-36242,CVE-2020-8492,CVE-2021-23336,CVE-2021-28957,CVE-2021-29921,CVE-2021-3177,CVE-2021-33503,CVE-2021-3426
JIRA References: ECO-3105,SLE-12986,SLE-17532,SLE-17957,SLE-7686,SLE-9135
Sources used:

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 47 Swamp Workflow Management 2022-02-16 22:35:20 UTC
SUSE-FU-2022:0444-1: An update that solves 51 vulnerabilities, contains 21 features and has 249 fixes is now available.

Category: feature (moderate)
Bug References: 1000080,1000117,1000194,1000742,1002895,1003091,1005246,1010874,1010966,1011936,1015549,1027610,1027705,1029902,1030038,1032118,1032119,1035604,1039469,1040164,1040256,1041090,1042670,1049186,1049304,1050653,1050665,1055478,1055542,1056951,1057496,1062237,1066873,1068790,1070737,1070738,1070853,1071941,1073310,1073845,1073879,1074247,1076519,1077096,1077230,1078329,1079761,1080301,1081005,1081750,1081751,1082155,1082163,1082318,1083826,1084117,1084157,1085276,1085529,1085661,1087104,1088573,1090427,1090953,1093518,1093917,1094788,1094814,1094883,1095267,1096738,1096937,1097531,1098535,1099308,1099569,1102868,1108508,1109882,1109998,1110435,1110869,1110871,1111493,1111622,1111657,1112357,1115769,1118611,1119376,1119416,1119792,1121717,1121852,1122191,1123064,1123185,1123186,1123558,1124885,1125815,1126283,1126318,1127173,1128146,1128323,1128355,1129071,1129566,1130840,1132174,1132323,1132455,1132663,1132900,1135009,1136444,1138666,1138715,1138746,1139915,1140255,1141168,1142899,1143033,1143454,1143893,1144506,1149686,1149792,1150190,1150895,1153830,1155815,1156677,1156694,1156908,1157104,1157354,1159235,1159538,1161557,1161770,1162224,1162367,1162743,1163978,1164310,1165439,1165578,1165730,1165823,1165960,1166139,1166758,1167008,1167501,1167732,1167746,1168480,1168973,1169489,1170175,1170863,1171368,1171561,1172226,1172908,1172928,1173226,1173356,1174009,1174091,1174514,1175729,1176116,1176129,1176134,1176232,1176256,1176257,1176258,1176259,1176262,1176389,1176785,1176977,1177120,1177127,1177559,1178168,1178341,1178670,1179562,1179630,1179805,1180125,1180781,1181126,1181324,1181944,1182066,1182211,1182244,1182264,1182379,1182963,1183059,1183374,1183858,1184505,1185588,1185706,1185748,1186738,1187045,1190781,1193357,428177,431945,637176,657698,658604,673071,715423,743787,747125,750618,751718,754447,754677,761500,784670,787526,799119,809831,811890,825221,828513,831629,834601,835687,839107,84331,855666,858239,867887,871152,885662,885882,889363,892480,898917,907584,912460,913229,915479,917607,917759,917815,922448,929736,930189,931978,935856,937912,939456,940608,942385,942751,944204,945455,946648,947357,947679,948198,954486,954690,961334,962291,963974,964204,964472,964474,965830,967128,968270,968601,975875,981848,988086,992988,992989,992992,993130,993825,993968,994910,996255,997614
CVE References: CVE-2011-3389,CVE-2011-4944,CVE-2012-0845,CVE-2012-1150,CVE-2013-1752,CVE-2013-4238,CVE-2013-4314,CVE-2014-0012,CVE-2014-1829,CVE-2014-1830,CVE-2014-2667,CVE-2014-4650,CVE-2014-7202,CVE-2014-7203,CVE-2014-9721,CVE-2015-2296,CVE-2016-10745,CVE-2016-9015,CVE-2017-18342,CVE-2018-18074,CVE-2018-20060,CVE-2018-7750,CVE-2019-10906,CVE-2019-11236,CVE-2019-11324,CVE-2019-13132,CVE-2019-20907,CVE-2019-20916,CVE-2019-5010,CVE-2019-6250,CVE-2019-8341,CVE-2019-9740,CVE-2019-9947,CVE-2020-14343,CVE-2020-15166,CVE-2020-15523,CVE-2020-15801,CVE-2020-1747,CVE-2020-25659,CVE-2020-26137,CVE-2020-27783,CVE-2020-28493,CVE-2020-29651,CVE-2020-36242,CVE-2020-8492,CVE-2021-23336,CVE-2021-28957,CVE-2021-29921,CVE-2021-3177,CVE-2021-33503,CVE-2021-3426
JIRA References: ECO-3105,SLE-11435,SLE-12684,SLE-12986,SLE-13688,SLE-14253,SLE-15159,SLE-15860,SLE-15861,SLE-16754,SLE-17532,SLE-17957,SLE-18260,SLE-18354,SLE-18446,SLE-19264,SLE-3887,SLE-4480,SLE-4577,SLE-7686,SLE-9135
Sources used:
SUSE Manager Tools 15-BETA (src):    venv-salt-minion-3002.2-159000.3.3.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 48 Swamp Workflow Management 2022-02-16 23:02:12 UTC
SUSE-FU-2022:0452-1: An update that solves 54 vulnerabilities, contains 6 features and has 247 fixes is now available.

Category: feature (moderate)
Bug References: 1000080,1000117,1000194,1000742,1002895,1003091,1005246,1010874,1010966,1011936,1015549,1027610,1027705,1029902,1030038,1032118,1032119,1035604,1039469,1040164,1040256,1041090,1042670,1049186,1049304,1050653,1050665,1055478,1055542,1056951,1057496,1062237,1066873,1068790,1070737,1070738,1070853,1071941,1073310,1073845,1073879,1074247,1076519,1077096,1077230,1078329,1079761,1080301,1081005,1081750,1081751,1082155,1082163,1082318,1083826,1084117,1084157,1085276,1085529,1085661,1087104,1088573,1090427,1090953,1093518,1093917,1094788,1094814,1094883,1095267,1096738,1096937,1097531,1098535,1099308,1099569,1102868,1108508,1109882,1109998,1110435,1110869,1110871,1111493,1111622,1111657,1112357,1115769,1118611,1119376,1119416,1119792,1121717,1121852,1122191,1123064,1123185,1123186,1123558,1124885,1125815,1126283,1126318,1127173,1128146,1128323,1128355,1129071,1129566,1130840,1132174,1132323,1132455,1132663,1132900,1135009,1136444,1138666,1138715,1138746,1139915,1140255,1141168,1142899,1143033,1143454,1143893,1144506,1149686,1149792,1150190,1150895,1153830,1155815,1156677,1156694,1156908,1157104,1157354,1159235,1159538,1161557,1161770,1162224,1162367,1162743,1163978,1164310,1165439,1165578,1165730,1165823,1165960,1166139,1166758,1167008,1167501,1167732,1167746,1168480,1168973,1169489,1170175,1170863,1171368,1171561,1172226,1172908,1172928,1173226,1173356,1174009,1174091,1174514,1175729,1176116,1176129,1176134,1176232,1176256,1176257,1176258,1176259,1176262,1176389,1176785,1176977,1177120,1177127,1178168,1178341,1178670,1179562,1179630,1179805,1180125,1180781,1181126,1181324,1181944,1182066,1182211,1182244,1182264,1182379,1182963,1183059,1183374,1183858,1184505,1185588,1185706,1185748,1186738,1187045,1190781,1193357,428177,431945,589441,613497,637176,657698,658604,673071,715423,743787,747125,750618,751718,754447,754677,761500,784670,787526,799119,809831,811890,825221,828513,831629,834601,835687,839107,84331,855666,858239,867887,871152,885662,885882,889363,892480,898917,907584,912460,913229,915479,917607,917759,917815,922448,929736,930189,931978,935856,937912,939456,940608,942385,942751,944204,945455,946648,947357,947679,948198,954486,954690,961334,962291,963974,964204,964472,964474,965830,967128,968270,968601,975875,981848,988086,992988,992989,992992,993130,993825,993968,994910,996255,997614
CVE References: CVE-2011-3389,CVE-2011-4944,CVE-2012-0845,CVE-2012-1150,CVE-2013-1437,CVE-2013-1752,CVE-2013-4238,CVE-2013-4314,CVE-2014-0012,CVE-2014-1829,CVE-2014-1830,CVE-2014-2667,CVE-2014-4650,CVE-2014-7202,CVE-2014-7203,CVE-2014-9721,CVE-2015-2296,CVE-2016-10745,CVE-2016-1238,CVE-2016-9015,CVE-2017-18342,CVE-2017-6512,CVE-2018-18074,CVE-2018-20060,CVE-2018-7750,CVE-2019-10906,CVE-2019-11236,CVE-2019-11324,CVE-2019-13132,CVE-2019-20907,CVE-2019-20916,CVE-2019-5010,CVE-2019-6250,CVE-2019-8341,CVE-2019-9740,CVE-2019-9947,CVE-2020-14343,CVE-2020-15166,CVE-2020-15523,CVE-2020-15801,CVE-2020-1747,CVE-2020-25659,CVE-2020-26137,CVE-2020-27783,CVE-2020-28493,CVE-2020-29651,CVE-2020-36242,CVE-2020-8492,CVE-2021-23336,CVE-2021-28957,CVE-2021-29921,CVE-2021-3177,CVE-2021-33503,CVE-2021-3426
JIRA References: ECO-3105,SLE-12986,SLE-17532,SLE-17957,SLE-7686,SLE-9135
Sources used:

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 49 Swamp Workflow Management 2022-02-16 23:29:06 UTC
SUSE-FU-2022:0447-1: An update that solves 54 vulnerabilities, contains 6 features and has 247 fixes is now available.

Category: feature (moderate)
Bug References: 1000080,1000117,1000194,1000742,1002895,1003091,1005246,1010874,1010966,1011936,1015549,1027610,1027705,1029902,1030038,1032118,1032119,1035604,1039469,1040164,1040256,1041090,1042670,1049186,1049304,1050653,1050665,1055478,1055542,1056951,1057496,1062237,1066873,1068790,1070737,1070738,1070853,1071941,1073310,1073845,1073879,1074247,1076519,1077096,1077230,1078329,1079761,1080301,1081005,1081750,1081751,1082155,1082163,1082318,1083826,1084117,1084157,1085276,1085529,1085661,1087104,1088573,1090427,1090953,1093518,1093917,1094788,1094814,1094883,1095267,1096738,1096937,1097531,1098535,1099308,1099569,1102868,1108508,1109882,1109998,1110435,1110869,1110871,1111493,1111622,1111657,1112357,1115769,1118611,1119376,1119416,1119792,1121717,1121852,1122191,1123064,1123185,1123186,1123558,1124885,1125815,1126283,1126318,1127173,1128146,1128323,1128355,1129071,1129566,1130840,1132174,1132323,1132455,1132663,1132900,1135009,1136444,1138666,1138715,1138746,1139915,1140255,1141168,1142899,1143033,1143454,1143893,1144506,1149686,1149792,1150190,1150895,1153830,1155815,1156677,1156694,1156908,1157104,1157354,1159235,1159538,1161557,1161770,1162224,1162367,1162743,1163978,1164310,1165439,1165578,1165730,1165823,1165960,1166139,1166758,1167008,1167501,1167732,1167746,1168480,1168973,1169489,1170175,1170863,1171368,1171561,1172226,1172908,1172928,1173226,1173356,1174009,1174091,1174514,1175729,1176116,1176129,1176134,1176232,1176256,1176257,1176258,1176259,1176262,1176389,1176785,1176977,1177120,1177127,1178168,1178341,1178670,1179562,1179630,1179805,1180125,1180781,1181126,1181324,1181944,1182066,1182211,1182244,1182264,1182379,1182963,1183059,1183374,1183858,1184505,1185588,1185706,1185748,1186738,1187045,1190781,1193357,428177,431945,589441,613497,637176,657698,658604,673071,715423,743787,747125,750618,751718,754447,754677,761500,784670,787526,799119,809831,811890,825221,828513,831629,834601,835687,839107,84331,855666,858239,867887,871152,885662,885882,889363,892480,898917,907584,912460,913229,915479,917607,917759,917815,922448,929736,930189,931978,935856,937912,939456,940608,942385,942751,944204,945455,946648,947357,947679,948198,954486,954690,961334,962291,963974,964204,964472,964474,965830,967128,968270,968601,975875,981848,988086,992988,992989,992992,993130,993825,993968,994910,996255,997614
CVE References: CVE-2011-3389,CVE-2011-4944,CVE-2012-0845,CVE-2012-1150,CVE-2013-1437,CVE-2013-1752,CVE-2013-4238,CVE-2013-4314,CVE-2014-0012,CVE-2014-1829,CVE-2014-1830,CVE-2014-2667,CVE-2014-4650,CVE-2014-7202,CVE-2014-7203,CVE-2014-9721,CVE-2015-2296,CVE-2016-10745,CVE-2016-1238,CVE-2016-9015,CVE-2017-18342,CVE-2017-6512,CVE-2018-18074,CVE-2018-20060,CVE-2018-7750,CVE-2019-10906,CVE-2019-11236,CVE-2019-11324,CVE-2019-13132,CVE-2019-20907,CVE-2019-20916,CVE-2019-5010,CVE-2019-6250,CVE-2019-8341,CVE-2019-9740,CVE-2019-9947,CVE-2020-14343,CVE-2020-15166,CVE-2020-15523,CVE-2020-15801,CVE-2020-1747,CVE-2020-25659,CVE-2020-26137,CVE-2020-27783,CVE-2020-28493,CVE-2020-29651,CVE-2020-36242,CVE-2020-8492,CVE-2021-23336,CVE-2021-28957,CVE-2021-29921,CVE-2021-3177,CVE-2021-33503,CVE-2021-3426
JIRA References: ECO-3105,SLE-12986,SLE-17532,SLE-17957,SLE-7686,SLE-9135
Sources used:

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.